Subject: RE: New giving webite/portal
From: Scott Thompson <[email-masked]>
To: 'Michael B' <[email-masked]>
Date: Fri, 20 Jan 2017 15:57:16 +0000

Mike,

First, thank you SO MUCH for the labor posters you provided.  What a blessing - wow!!!

I also want to thank you for your e-mail and feedback.  We always want to look for ways we can improve our process and do everything with excellence, so we value your thoughts.  As you mentioned at the end of your e-mail, the navigation will get easier once people have utilized the site more, but we do understand that any new system can have some quirks to iron out.

The giving platform we have is supported by a third party vendor as it would be cost prohibitive to create our own custom designed platform and would also have great potential liability associated with it.  We will pass your concerns on to our third-party provider as they are always looking for suggestions on how to improve their system.

My team did look at a wide range of third party providers, and our new Planning Center platform was considered the best option for reasons including the following:

Ø  Planning Center had the best security ranking possible.  While the use of links sent to your e-mail is not as convenient as a set user name and password, the tradeoff is this process enhances the security of the system greatly.  While hackers can use programs to break passwords, it is extremely more difficult for them to intercept an e-mail sent account needed to log in.  The system will also "remember" your computer for a period of time as it will detect your computer as being a "trusted" device.

Ø  It was important that our giving platform would work well from mobile devices and have the ability to be integrated with smart phone apps.

Ø  We wanted a system that would support text giving.  To me, this is even easier than on-line giving.  Your first contribution will have a process where the system associates your phone number with your contribution account, but subsequent giving is as easy as texting an amount to 84321.  If a key word is used, you can designate your offering.  For example, text "missions" (without the quotes) and an amount to give to missions; and type "hope" and an amount to give to a Hope Response.

Ø  Other platforms we looked at made you create separate recurring transactions if you wanted to designate the recurring offering to more than one fund.  While I agree with you it is not the most user friendly or intuitive to give to multiple funds in a single recurring transaction, it is possible.

Ø  Although lower on priority list, we also looked at the cost value of the platforms.

There were of course things we didn't care for with the new giving platform, but we do believe the advantages outweighed the disadvantages with security and text giving being two of our higher priorities.

Thank you again for your suggestions, and we'll make sure we pass this on to our third-party provider.  One thing that has impressed us is the improvements Planning Center has made in just the last year.

Wishing you and your family God's very best in 2017 and beyond,

  - Scott

Scott Thompson
Executive Team Minister
[email-masked]<mailto:[email-masked]>
517.319.5733
mounthopechurch.org<http://www.mounthopechurch.org/>

[Mount Hope Church Logo]<http://www.mounthopechurch.org/>

From: Michael B [mailto:[email-masked]]
Sent: Thursday, January 19, 2017 2:56 PM
To: Scott Thompson
Subject: New giving webite/portal

Hello Pastor Scott.
I have a few suggestions on the new app/giving site for consideration. There were a few of us that were counting Sunday that were talking about it and felt some of the logistics and navigation were a bit confusing. In that regards, I wanted to relay my latest experience.
    The first thing is related to the screen you see once you link out of the main webpage to the giving page. I clicked on the Giving tab itself and did not see, (the first time), there was a drop down that shows the Old system/New system options. So I linked straight in to the new system. Previously, we would be taken to a log-in page. Now it takes you to a page that is, in my opinion, a bit impersonal (for lack of a better word). It almost has a generic or just general gifting page look of what you might see if you were just donating to a cause/charity page on any website. I didn't even notice there was a log-in on the page until I started looking at things closer. It might be helpful having the member login more prominently placed in the middle of the screen so someone would log in first. Then the person would know that they were in their account to start donating. As it is now on the main Donation page, it appears the only option I might have is to give an amount as a Tithe. There is no real indication as where to navigate from there. If an email is added without clicking on the "To: Tithe Fund" and you "Continue", it takes you through to a page that has a link to access saved credit/debit cards. Once you click that, it will email you a link to log in. This would be completely unnecessary if you are already logged in. Currently a link that has to be emailed to you in order to log in. It's kind of inconvenient to do this each time. It may actually discourage some from giving online as it will always require that extra step in the process. Regardless, once you do get to the allocation of giving, after logging in, it is not real clear as to how to get to the option or page to do Multiple giving. I did my giving today and actually had to process two separate transactions. Since the option to do multiple isn't available unless you click on the "To: Tithe Fund", I processed it after I clicked on the emailed link. There is no prompt to "review" the transaction before you process it so transaction processes straight through. Then you have to do a separate transaction once it is complete. I feel like you should always be able to review it before you process. That way you can add or change your entries if needed.
    I hope that at least some of this may be helpful. Please understand that in no way am I trying to be critical of the new process. I do feel it will be easier and understandable to navigate the more we utilize the site/app. Please let me know if you need any clarification of what I wrote. I rewrote it multiple times as I kept rereading it. Hopefully it communicates properly. Thank you for all you do to make our church better!
Sincerely,
Michael Bishop